LFR-FSW - Bug #411

R3 *** TM_LFR_SCIENCE_SBM2_BP*_Fi: octet 18 not equal to 0x0
06/05/2015 04:13 PM - Veronique bouzid

Status: Closed Start date: 06/05/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Le script utilisé se trouve dans /home/validation/SCRIPT/R3/just_sbm2_mode.py
Le test est rangé dans le répertoire /home/validation/data/R3/JUST-SBM2, le fichier 2015_05_06-15_55_59-Detail.txt

- TM_LFR_SCIENCE_SBM2_BP1_F0 et TM_LFR_SCIENCE_SBM2_BP1_F1

15:49:59.658747, * 32 , TM_LFR_SCIENCE_SBM2_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =
0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_5 = 79, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xcfc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET_LENGTH=263,
SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x800000080c09, PA_LFR_SID_PKT:
SC_S2_BP1_F0 =29, PA_BIA_MODE_MUX_SET: SET_0 =0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED =0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, "SPARE=0x1c0, SY_LFR_BW=1,
SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0,
PA_LFR_ACQUISITION_TIME=0x800000080c09, PA_LFR_S2_BP1_BLK_NR_F0=22

15:49:59.671032, * 32, TM_LFR_SCIENCE_SBM2_BP1_F1, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =
0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_5 = 79, PACKET _CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xcfc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=1, (PACKET_SEQUENCE_CONTROL=0xc001), PACKET LENGTH=307,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT FIXED LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x800000080c09, PA_LFR_SID_PKT:
SC_S2 BP1_F1 =30, PA_BIA_MODE_MUX_SET: SET 0 =0, PA BIA MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, *SPARE=0x2b8, SY_LFR_BW-=1,
SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR R1=0, SY_LFR_R2-=0,
PA_LFR_ACQUISITION_TIME=0x800000080c09, PA_LFR_S2 BP1_BLK_NR_F1=26

et
-TM_LFR_SCIENCE_SBM2_BP2_FO0 et TM_LFR_SCIENCE_SBM2_BP2_F1

15:50:03.67844, * 32 , TM_LFR_SCIENCE_SBM2_BP2_F0, CCSDS_VERSION NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_5 = 79, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xcfc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=9, (PACKET_SEQUENCE_CONTROL=0xc009), PACKET LENGTH=681,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x8000000c0c09, PA_LFR_SID_PKT:
SC_S2 BP2 FO0 = 32, PA_BIA_MODE_MUX_SET: SET 0 =0, PA BIA_ MODE_HV_ENABLED: DISABLED = 0,

PA BIA_ MODE_BIAS1 ENABLED: DISABLED = 0, PA BIA_ MODE_BIAS2 _ENABLED: DISABLED = 0,

PA BIA_ MODE_BIAS3 ENABLED: DISABLED = 0, PA_ BIA_ ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x30208000000c,
*SPARE=0xc0, SY_LFR_BW=1, SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0,
PA_LFR_ACQUISITION_TIME=0x8000000c0c09, PA LFR S2 BP2 BLK_NR_F0=22

15:50:03.680791, * 32 , TM_LFR_SCIENCE_SBM2_BP1_F1, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =
0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_5 = 79, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xcfc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=10, (PACKET_SEQUENCE_CONTROL=0xc00a), PACKET_LENGTH=307,
SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x8000000c0c09, PA_LFR_SID_PKT:
SC_S2_BP1_F1 =230, PA_BIA_MODE_MUX_SET: SET_0 =0, PA_BIA_MODE_HV_ENABLED: DISABLED =0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED =0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, *SPARE=0x2b8, SY_LFR_BW-=1,
SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0,
PA_LFR_ACQUISITION_TIME=0x8000000c0c09, PA_LFR_S2_BP1_BLK NR_F1=26

History

#1 - 18/05/2015 10:43 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

corrected in version >= 3.0.0.1

#2 - 05/06/2015 05:08 PM - Veronique bouzid

Le bug est corrigé.
Le script /home/validation/SCRIPT/R3/just_sbm2_mode.py a été rejoué dans le dernier environnement de test.

15:54:06.300916, TM_LFR_SCIENCE_SBM2_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_5 = 79, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xcfc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET_LENGTH=263, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x8000000c2a29, PA_LFR_SID_PKT: SC_S2 BP1_F0 =29, PA_BIA_MODE_MUX_SET: SET _0 =0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x8000000c2a29,
PA_LFR_S2_BP1_BLK_NR_F0=22

et

15:54:06.314102, TM_LFR_SCIENCE_SBM2_BP1_F1, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_5 = 79, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xcfc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=1, (PACKET_SEQUENCE_CONTROL=0xc001), PACKET_LENGTH=307, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER =21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x8000000c2a31, PA_LFR_SID_PKT: SC_S2_BP1_F1 = 30, PA_BIA_MODE_MUX_SET: SET_0 =0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x8000000c2a31,

PA_LFR_S2 BP1_BLK _NR_F1=26

et

15:54:10.322978, TM_LFR_SCIENCE_SBM2_BP2_F0, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_5 = 79, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xcfc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=9, (PACKET_SEQUENCE_CONTROL=0xc009), PACKET_LENGTH=681, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED _LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x800000102a28, PA_LFR_SID_PKT: SC_S2_BP2_F0 = 32, PA_BIA_MODE_MUX_SET: SET_0=0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x002080000010,
SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0,
PA_LFR_ACQUISITION_TIME=0x800000102a28, PA_LFR_S2_BP2_BLK_NR_F0=22

et

15:54:10.334512, TM_LFR_SCIENCE_SBM2_BP2_F1, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_5 = 79, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xcfc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=11, (PACKET_SEQUENCE_CONTROL=0xc00b), PACKET_LENGTH=801, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x800000102a30, PA_LFR_SID_PKT: SC_S2 BP2_F1 =33, PA_BIA_MODE_MUX_SET: SET_0=0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x800000102a30,
PA_LFR_S2_BP2_BLK_NR_F1=26

les fichiers de log (2015_06_05-16_00_05%) sont rangés dans le répertoire /home/validation/data/R3

Contexte de test

FSW 3.0.0.3

VHDL 1.1.83

EM1 sans timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee spacewire

#3 - 05/06/2015 05:08 PM - Veronique bouzid
- Status changed from Resolved to Closed
